hw_Output_Document
hw_PipeDocument
Hyperwave Functions
PHP Manual

# hw_pConnect

(PHP 4)

hw_pConnect — Make a persistent database connection

### Description

int hw_pconnect ( string `$host` , int `$port` [, string `$username` ], string `$password` )

Opens a persistent connection to a Hyperwave server. You can have multiple persistent connections open at once.

### Parameters

`host`

  The server host name.

`port`

  The server port number.

`username`

  The Hyperwave user name. If ommited, no identification with the server will be done. It is similar to identify as user anonymous.

`password`

  The password for `username` . Keep in mind, that the password is not encrypted.

### Return Values

Returns a connection index on success, or `FALSE` if the connection could not be made.

### See Also

- hw_connect()

hw_Output_Document
hw_PipeDocument
Hyperwave Functions
PHP Manual